diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index 4e9d5a75..c968892a 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -421,56 +494,50 @@
   <xs:complexType name="updateChildPAIResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readQualityList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readQualityListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readSituationList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readSituationListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateChildMedicalRecord">
     <xs:sequence>
-      <xs:element name="updateChildMedicalRecordRequest" type="ns1:updateChildMedicalRecordRequestBean"/>
+      <xs:element name="updateChildMedicalRecordRequest" type="ns2:updateChildMedicalRecordRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateChildMedicalRecordResponse">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="createChild">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
-      <xs:element name="child" type="ns1:childCreateBean"/>
+      <xs:element name="child" type="ns2:childBean"/>
       <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="birthCreateBean">
-    <xs:sequence>
-      <xs:element name="dateBirth" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="place" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
   <xs:complexType name="createChildResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="resultBean" type="ns1:resultChildBean"/>
+      <xs:element minOccurs="0" name="resultBean" type="ns2:resultChildBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="addSuppliedDocument">
     <xs:sequence>
-      <xs:element name="addSuppliedDocumentRequestBean" type="ns1:addSuppliedDocumentRequestBean"/>
+      <xs:element name="addSuppliedDocumentRequestBean" type="ns2:addSuppliedDocumentRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="fileHandler">
     <xs:sequence>
       <xs:element minOccurs="0" name="dataHandler" type="xs:base64Binary" xmime:expectedContentTypes="application/octet-stream"/>
       <xs:element minOccurs="0" name="fileType" type="xs:string"/>
       <xs:element minOccurs="0" name="name" type="xs:string"/>
     </xs:sequence>
@@ -489,67 +556,117 @@
   </xs:complexType>
   <xs:complexType name="isChildExistsResponse">
     <xs:sequence>
       <xs:element name="result" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="subscribeActivity">
     <xs:sequence>
-      <xs:element name="subscribeActivityRequestBean" type="ns1:subscribeActivityRequestBean"/>
+      <xs:element name="subscribeActivityRequestBean" type="ns2:subscribeActivityRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="subscribeActivityResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="subscribeActivityResultBean" type="ns1:subscribeActivityResultBean"/>
+      <xs:element minOccurs="0" name="subscribeActivityResultBean" type="ns2:subscribeActivityResultBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createFamily">
     <xs:sequence>
-      <xs:element name="categorie" type="xs:string"/>
+      <xs:element name="category" type="xs:string"/>
       <xs:element name="situation" type="xs:string"/>
       <xs:element minOccurs="0" name="flagCom" type="xs:boolean"/>
       <xs:element minOccurs="0" name="nbChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbTotalChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbAES" type="xs:int"/>
-      <xs:element name="rl1" type="tns:rlInfoBean"/>
-      <xs:element minOccurs="0" name="rl2" type="tns:rlInfoBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="childList" type="ns1:childBean"/>
+      <xs:element name="rl1" type="tns:rlBean"/>
+      <xs:element minOccurs="0" name="rl2" type="tns:rlBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="childList" type="ns2:childBean"/>
       <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" type="ns1:indicatorValueAddBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="emergencyPersonList" type="ns1:emergencyPersonBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" type="ns2:indicatorValueAddUpdBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="emergencyPersonList" type="ns2:emergencyPersonBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createFamilyResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="createFamilyResult" type="ns1:resultFamilyBean"/>
+      <xs:element minOccurs="0" name="createFamilyResult" type="ns2:resultFamilyBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="readChildIndicatorList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readChildIndicatorListResponse">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="childIndicatorList" type="ns2:indicatorReadBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="getChildSubscribeSchoolInformation">
+    <xs:sequence>
+      <xs:element name="getFamilySubscribeSchoolInfoRequestBean" type="ns2:getFamilySubscribeSchoolInfoRequestBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="getChildSubscribeSchoolInformationResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="getFamilySubscribeSchoolInfoResultBean" type="ns2:getFamilySubscribeSchoolInfoResultBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="derogSchoolKernelBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="dateCreate" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="derogReasonKernel" type="xs:anyType"/>
+      <xs:element minOccurs="0" name="description" type="xs:string"/>
+      <xs:element minOccurs="0" name="dossState" type="xs:anyType"/>
+      <xs:element minOccurs="0" name="idDerogSchool" type="xs:string"/>
+      <xs:element minOccurs="0" name="idFam" type="xs:string"/>
+      <xs:element minOccurs="0" name="idPers" type="xs:string"/>
+      <xs:element minOccurs="0" name="requestedDocumentStateKernel" type="xs:anyType"/>
+      <xs:element minOccurs="0" name="schoolKernel" type="xs:anyType"/>
+      <xs:element minOccurs="0" name="stateDate" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="subscribeSchoolKernel" type="xs:anyType"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readVaccinList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readVaccinListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readPAIList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readPAIListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="updatePersonIndicatorList">
+    <xs:sequence>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element maxOccurs="unbounded" name="indicatorList" type="ns2:indicatorValueAddUpdBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="updatePersonIndicatorListResponse">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readTownList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readTownListResponse">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readCategoryList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readCategoryListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns2:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readFamilyByPassword">
     <xs:sequence>
       <xs:element name="dossierNumber" type="xs:int"/>
       <xs:element name="password" type="xs:string"/>
       <xs:element minOccurs="0" name="schoolYear" type="xs:string"/>
       <xs:element minOccurs="0" name="incomeYear" type="xs:string"/>
@@ -561,87 +678,139 @@
       <xs:element minOccurs="0" name="familyBean" type="tns:familyBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readStreetList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readStreetListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="streetList" type="ns2:StreetBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="streetList" type="ns1:StreetBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="readOrganList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readOrganListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="organList" type="ns2:organBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="organList" type="ns1:organBean"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:simpleType name="indicatorTypeDescEnum">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="NONE"/>
+      <xs:enumeration value="NOTE"/>
+      <xs:enumeration value="CHOICE"/>
+    </xs:restriction>
+  </xs:simpleType>
   <xs:simpleType name="blocNoteTypeEnum">
     <xs:restriction base="xs:string">
       <xs:enumeration value="A"/>
       <xs:enumeration value="L"/>
       <xs:enumeration value="IA"/>
       <xs:enumeration value="RP"/>
       <xs:enumeration value="ID"/>
     </xs:restriction>
   </xs:simpleType>
+  <xs:simpleType name="levelCode">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="SCHOOL"/>
+      <xs:enumeration value="ACTIVITY"/>
+      <xs:enumeration value="PERSON"/>
+      <xs:enumeration value="FAMILY"/>
+      <xs:enumeration value="CHILD"/>
+      <xs:enumeration value="RESERVATION"/>
+      <xs:enumeration value="ALL"/>
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:simpleType name="rankCode">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="FAMILY"/>
+      <xs:enumeration value="PERSON"/>
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:simpleType name="subscribeAction">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="ADD_SUBSCRIBE"/>
+      <xs:enumeration value="DELETE_SUBSCRIBE"/>
+      <xs:enumeration value="UPDATE_SUBSCRIBE_DOSS"/>
+      <xs:enumeration value="ADD_DEROG"/>
+      <xs:enumeration value="COMPLETE_DEROG_DOSS"/>
+    </xs:restriction>
+  </xs:simpleType>
   <xs:element name="MaelisFamilyException" type="tns:MaelisFamilyException"/>
   <xs:complexType name="MaelisFamilyException">
     <xs:sequence>
       <xs:element minOccurs="0" name="message" type="xs:string"/>
       <xs:element minOccurs="0" name="message" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:element name="MaelisFamilyExceptionSpec" type="tns:MaelisFamilyExceptionSpec"/>
-  <xs:complexType name="MaelisFamilyExceptionSpec">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="message" type="xs:string"/>
-      <xs:element minOccurs="0" name="message" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
 </xs:schema>
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="bean.persistence.ws.maelis.sigec.com" version="1.0">
 
   <xs:complexType name="itemBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="code" type="xs:string"/>
       <xs:element minOccurs="0" name="libelle" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
+  <xs:complexType name="insuranceBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="company" type="xs:string"/>
+      <xs:element minOccurs="0" name="contractNumber" type="xs:string"/>
+      <xs:element minOccurs="0" name="memberNumber" type="xs:string"/>
+      <xs:element minOccurs="0" name="contractStart" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="contractEnd" type="xs:dateTime"/>
+    </xs:sequence>
+  </xs:complexType>
+
   <xs:complexType name="StreetBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="idStreet" type="xs:string"/>
       <xs:element minOccurs="0" name="libelleStreet" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="organBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="code" type="xs:string"/>
       <xs:element minOccurs="0" name="id" type="xs:string"/>
       <xs:element minOccurs="0" name="libelle" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
 </xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns1="family.ws.maelis.sigec.com" targetNamespace="bean.persistence.family.ws.maelis.sigec.com" version="1.0">
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:ns1="bean.persistence.family.ws.maelis.sigec.com" targetNamespace="bean.persistence.site.ws.maelis.sigec.com" version="1.0">
+
+  <xs:import namespace="bean.persistence.family.ws.maelis.sigec.com"/>
+
+  <xs:complexType name="subscribeSchoolYearBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="subscribeSchool" type="ns1:subscribeSchool2Bean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+</xs:schema>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns3="bean.persistence.site.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.ws.maelis.sigec.com" xmlns:ns1="family.ws.maelis.sigec.com" targetNamespace="bean.persistence.family.ws.maelis.sigec.com" version="1.0">
 
   <xs:import namespace="family.ws.maelis.sigec.com"/>
 
-  <xs:complexType name="indicatorValueUpdBean">
+  <xs:import namespace="bean.persistence.ws.maelis.sigec.com"/>
+
+  <xs:import namespace="bean.persistence.site.ws.maelis.sigec.com"/>
+
+  <xs:complexType name="indicatorReadBean">
     <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecRequestBean">
+      <xs:extension base="ns1:abstractSpecResultBean">
         <xs:sequence>
-          <xs:element name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="choice" type="xs:string"/>
-          <xs:element name="isActive" type="xs:boolean"/>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="label" type="xs:string"/>
+          <xs:element minOccurs="0" name="typeDesc" type="ns1:indicatorTypeDescEnum"/>
+          <xs:element maxOccurs="unbounded" minOccurs="0" name="choiceList" nillable="true" type="ns2:itemBean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
   <xs:complexType name="addressBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="idStreet" nillable="true" type="xs:string"/>
@@ -686,16 +855,28 @@
 
   <xs:complexType name="cafInfoBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="number" type="xs:string"/>
       <xs:element minOccurs="0" name="organ" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
+  <xs:complexType name="indicatorBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="note" type="xs:string"/>
+          <xs:element minOccurs="0" name="choice" type="xs:string"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
   <xs:complexType name="activityTypeBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="code" type="xs:string"/>
       <xs:element minOccurs="0" name="libelle" type="xs:string"/>
       <xs:element minOccurs="0" name="natureSpec" type="tns:activityNatureBean"/>
     </xs:sequence>
   </xs:complexType>
 
@@ -716,141 +897,94 @@
       <xs:element minOccurs="0" name="yearRev" type="xs:int"/>
       <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="mtt" type="xs:double"/>
       <xs:element minOccurs="0" name="cdquo" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="emergencyPersonBean">
-    <xs:sequence>
-      <xs:element name="numPerson" type="xs:int"/>
-      <xs:element minOccurs="0" name="civility" type="xs:string"/>
-      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
-      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
-      <xs:element minOccurs="0" name="dateBirth" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
-      <xs:element minOccurs="0" name="quality" type="xs:string"/>
-      <xs:element minOccurs="0" name="contact" type="tns:contactEmergencyBean"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="contactEmergencyBean">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="phone" type="xs:string"/>
-      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
-      <xs:element minOccurs="0" name="mail" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="familyPersonBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
-          <xs:element minOccurs="0" name="civility" type="xs:string"/>
-          <xs:element name="firstname" type="xs:string"/>
-          <xs:element name="lastname" type="xs:string"/>
-          <xs:element name="dateBirth" type="xs:dateTime"/>
-          <xs:element minOccurs="0" name="sexe" type="xs:string"/>
-          <xs:element name="quality" type="xs:string"/>
-          <xs:element minOccurs="0" name="contact" type="tns:contactLightBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="contactLightBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="phone" type="xs:string"/>
-          <xs:element minOccurs="0" name="mobile" type="xs:string"/>
-          <xs:element minOccurs="0" name="mail" type="xs:string"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
   <xs:complexType name="childInfoBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="num" type="xs:string"/>
       <xs:element name="lastname" type="xs:string"/>
       <xs:element name="firstname" type="xs:string"/>
       <xs:element name="sexe" type="xs:string"/>
-      <xs:element name="birth" type="tns:birthInfoBean"/>
+      <xs:element name="birth" type="ns1:birthInfoChildBean"/>
       <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
       <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
       <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="tns:relatedPersonBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="tns:indicatorBean"/>
       <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeSchoolList" nillable="true" type="tns:subscribeSchoolBean"/>
+      <xs:element minOccurs="0" name="insurance" type="ns2:insuranceBean"/>
+      <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
       <xs:element minOccurs="0" name="mother" type="tns:personBean"/>
       <xs:element minOccurs="0" name="father" type="tns:personBean"/>
       <xs:element minOccurs="0" name="rl" type="tns:personBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeSchoolList" nillable="true" type="tns:subscribeSchoolBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeActivityList" nillable="true" type="ns1:subscribeActivityBean"/>
-      <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="birthInfoBean">
-    <xs:sequence>
-      <xs:element name="dateBirth" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="place" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="relatedPersonBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
           <xs:element minOccurs="0" name="personInfo" type="tns:personInfoBean"/>
           <xs:element minOccurs="0" name="personQuality" type="tns:personQualityBean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
   <xs:complexType name="personInfoBean">
     <xs:sequence>
-      <xs:element name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="num" type="xs:int"/>
       <xs:element minOccurs="0" name="lastname" type="xs:string"/>
       <xs:element minOccurs="0" name="firstname" type="xs:string"/>
       <xs:element minOccurs="0" name="dateBirth" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="civility" type="xs:string"/>
       <xs:element minOccurs="0" name="sexe" type="xs:string"/>
       <xs:element minOccurs="0" name="contact" type="tns:contactLightBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="personQualityBean">
-    <xs:sequence>
-      <xs:element name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="indicatorBean">
+  <xs:complexType name="contactLightBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="choice" type="xs:string"/>
+          <xs:element minOccurs="0" name="phone" type="xs:string"/>
+          <xs:element minOccurs="0" name="mobile" type="xs:string"/>
+          <xs:element minOccurs="0" name="mail" type="xs:string"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
+  <xs:complexType name="personQualityBean">
+    <xs:sequence>
+      <xs:element name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
   <xs:complexType name="medicalRecordBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
           <xs:element minOccurs="0" name="familyDoctor" type="tns:familyDoctorBean"/>
+          <xs:element minOccurs="0" name="allergy1" type="xs:string"/>
+          <xs:element minOccurs="0" name="allergy2" type="xs:string"/>
+          <xs:element minOccurs="0" name="comment1" type="xs:string"/>
+          <xs:element minOccurs="0" name="comment2" type="xs:string"/>
+          <xs:element minOccurs="0" name="observ1" type="xs:string"/>
+          <xs:element minOccurs="0" name="observ2" type="xs:string"/>
+          <xs:element minOccurs="0" name="isAuthHospital" type="xs:boolean"/>
+          <xs:element minOccurs="0" name="hospital" type="xs:string"/>
           <xs:element maxOccurs="unbounded" minOccurs="0" name="vaccinList" nillable="true" type="tns:vaccinBean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
   <xs:complexType name="familyDoctorBean">
     <xs:complexContent>
@@ -875,24 +1009,33 @@
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
   <xs:complexType name="vaccinBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element name="code" type="xs:string"/>
           <xs:element minOccurs="0" name="label" type="xs:string"/>
-          <xs:element minOccurs="0" name="vaccinationDate" type="xs:dateTime"/>
+          <xs:element name="vaccinationDate" type="xs:dateTime"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
+  <xs:complexType name="personBean">
+    <xs:sequence>
+      <xs:element name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="civility" type="xs:string"/>
+      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
   <xs:complexType name="subscribeSchoolBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="year" type="xs:int"/>
       <xs:element minOccurs="0" name="schoolName" type="xs:string"/>
       <xs:element minOccurs="0" name="levelBean" type="tns:levelBean"/>
       <xs:element minOccurs="0" name="phone" type="xs:string"/>
       <xs:element minOccurs="0" name="adress" type="xs:string"/>
       <xs:element minOccurs="0" name="headmaster" type="xs:string"/>
@@ -902,28 +1045,39 @@
       <xs:element minOccurs="0" name="isWaitList" type="xs:boolean"/>
       <xs:element minOccurs="0" name="codeWait" type="xs:string"/>
       <xs:element minOccurs="0" name="libWait" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="levelBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="idlevel" type="xs:string"/>
       <xs:element minOccurs="0" name="codlevel" type="xs:string"/>
       <xs:element minOccurs="0" name="liblevel" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="personBean">
+  <xs:complexType name="emergencyPersonBean">
     <xs:sequence>
-      <xs:element name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
       <xs:element minOccurs="0" name="civility" type="xs:string"/>
       <xs:element minOccurs="0" name="firstname" type="xs:string"/>
       <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
+      <xs:element minOccurs="0" name="quality" type="xs:string"/>
+      <xs:element minOccurs="0" name="contact" type="tns:contactEmergencyBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="contactEmergencyBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="phone" type="xs:string"/>
+      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
+      <xs:element minOccurs="0" name="mail" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="indicatorValueBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecResultBean">
         <xs:sequence>
           <xs:element minOccurs="0" name="code" type="xs:string"/>
@@ -987,16 +1141,64 @@
       <xs:extension base="ns1:abstractSpecRequestBean">
         <xs:sequence>
           <xs:element maxOccurs="unbounded" minOccurs="0" name="personList" nillable="true" type="tns:familyPersonBean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
+  <xs:complexType name="familyPersonBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
+          <xs:element minOccurs="0" name="civility" type="xs:string"/>
+          <xs:element name="firstname" type="xs:string"/>
+          <xs:element name="lastname" type="xs:string"/>
+          <xs:element name="dateBirth" type="xs:dateTime"/>
+          <xs:element minOccurs="0" name="sexe" type="xs:string"/>
+          <xs:element name="quality" type="xs:string"/>
+          <xs:element minOccurs="0" name="contact" type="tns:contactLightBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="indicatorValueAddUpdBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecRequestBean">
+        <xs:sequence>
+          <xs:element name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="note" type="xs:string"/>
+          <xs:element minOccurs="0" name="choice" type="xs:string"/>
+          <xs:element name="isActive" type="xs:boolean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="childBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="num" type="xs:string"/>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element name="sexe" type="xs:string"/>
+      <xs:element name="birth" type="ns1:birthInfoChildBean"/>
+      <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="tns:relatedPersonBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="tns:indicatorValueAddUpdBean"/>
+      <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
+      <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
+      <xs:element minOccurs="0" name="insurance" type="ns2:insuranceBean"/>
+      <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
   <xs:complexType name="getActivityRateRequestBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="idSubscribe" type="xs:string"/>
       <xs:element minOccurs="0" name="idFam" type="xs:string"/>
       <xs:element name="numPerson" type="xs:int"/>
       <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
       <xs:element minOccurs="0" name="typeConsum" type="xs:string"/>
       <xs:element minOccurs="0" name="flagCom" type="xs:boolean"/>
